Subject: Re: [ippm] [Editorial Errata Reported] RFC8912 (6758)

From: Martin Duke <[email-masked]>
Date: Wed, 1 Dec 2021 08:25:20 -0800

Al, can you rephrase this? The proposed text has 9 digits (8 zeros and a 1)
to the right of the decimal place.

On Tue, Nov 30, 2021 at 12:07 PM MORTON JR., AL <[email-masked]> wrote:

> Sorry, but the original text is what we intended.
>
> "fraction digits = 9" refers to the digits to the right of the decimal
> place.
>
> Al
>
> > -----Original Message-----
> > From: RFC Errata System <[email-masked]>
> > Sent: Sunday, November 28, 2021 3:40 AM
> > To: [email-masked]
> > Cc: [email-masked]; MORTON JR., AL <[email-masked]>;
> [email-masked];
> > [email-masked]; D'SOUZA, KEVIN L <[email-masked]>; [email-masked]
> > Subject: [Editorial Errata Reported] RFC8912 (6758)
> >
> > The following errata report has been submitted for RFC8912, "Initial
> > Performance Metrics Registry Entries".
> >
> > --------------------------------------
> > You may review the report below and at:
> > https://urldefense.com/v3/__https://www.rfc-
> >
> editor.org/errata/eid6758__;!!BhdT!0sOKD4K1QvzSFuTr19kOCaZcs09P3P_d2_LwuoM9aOr
> > 6gv_f8a6dgdeGztmA$
> >
> > --------------------------------------
> > Type: Editorial
> > Reported by: Nikolai Malykh <[email-masked]>
> >
> > Section: 4.4.2
> >
> > Original Text
> > -------------
> >    Percent_LossRatio:  The numeric value of the result is expressed in
> >       units of lost packets to total packets times 100%, as a positive
> >       value of type decimal64 with fraction digits = 9 (see Section 9.3
> >       of [RFC6020]) with a resolution of 0.0000000001.
> >
> >
> >
> > Corrected Text
> > --------------
> >    Percent_LossRatio:  The numeric value of the result is expressed in
> >       units of lost packets to total packets times 100%, as a positive
> >       value of type decimal64 with fraction digits = 9 (see Section 9.3
> >       of [RFC6020]) with a resolution of 0.000000001.
> >
> >
> >
> > Notes
> > -----
> > An extra 0 in the value of the resolution of the loss ratio.
> >
> > The error is repeated in sections 7.4.2.6, 8.4.2.6, 9.4.2.4
> >
> > Instructions:
> > -------------
> > This erratum is currently posted as "Reported". If necessary, please use
> > "Reply All" to discuss whether it should be verified or rejected. When a
> > decision is reached, the verifying party can log in to change the status
> and
> > edit the report, if necessary.
> >
> > --------------------------------------
> > RFC8912 (draft-ietf-ippm-initial-registry-16)
> > --------------------------------------
> > Title               : Initial Performance Metrics Registry Entries
> > Publication Date    : November 2021
> > Author(s)           : A. Morton, M. Bagnulo, P. Eardley, K. D'Souza
> > Category            : PROPOSED STANDARD
> > Source              : IP Performance Measurement
> > Area                : Transport
> > Stream              : IETF
> > Verifying Party     : IESG
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm
>

---

From: "MORTON JR., AL" <[email-masked]>
Date: Wed, 1 Dec 2021 16:32:00 +0000

So, I miss-counted the zeroes?  I guess my vision is going for stuff like this, because I tried to count again yesterday and the original looked ok...

It should be 9 digits (8 zeros and a 1) to the right of the decimal place.
Al

From: Martin Duke <[email-masked]>
Sent: Wednesday, December 1, 2021 11:25 AM
To: MORTON JR., AL <[email-masked]>
Cc: RFC Errata System <[email-masked]>; [email-masked]; D'SOUZA, KEVIN L <[email-masked]>; [email-masked]
Subject: Re: [ippm] [Editorial Errata Reported] RFC8912 (6758)

Al, can you rephrase this? The proposed text has 9 digits (8 zeros and a 1) to the right of the decimal place.

On Tue, Nov 30, 2021 at 12:07 PM MORTON JR., AL <[email-masked]<mailto:[email-masked]>> wrote:
Sorry, but the original text is what we intended.

"fraction digits = 9" refers to the digits to the right of the decimal place.

Al

> From: RFC Errata System <[email-masked]<mailto:[email-masked]>>
> To: [email-masked]<mailto:[email-masked]>
> Cc: [email-masked]<mailto:[email-masked]>; MORTON JR., AL <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>;
> [email-masked]<mailto:[email-masked]>; D'SOUZA, KEVIN L <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
> https://urldefense.com/v3/__https://www.rfc-<https://urldefense.com/v3/__https:/www.rfc->
> editor.org/errata/eid6758__;!!BhdT!0sOKD4K1QvzSFuTr19kOCaZcs09P3P_d2_LwuoM9aOr<https://urldefense.com/v3/__http:/editor.org/errata/eid6758__;!!BhdT!0sOKD4K1QvzSFuTr19kOCaZcs09P3P_d2_LwuoM9aOr__;!!BhdT!wk7uBzVHYZmqOMxnneSdA2hPTFsqF2OQKyB861yDcdAvcIVt5G1A5vak8Qk_$>
> 6gv_f8a6dgdeGztmA$
>
> Reported by: Nikolai Malykh <[email-masked]<mailto:[email-masked]>>
>
> Section: 4.4.2
>
> Original Text
> -------------
> decision is reached, the verifying party can log in to change the status and
_______________________________________________
ippm mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ippm<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/ippm__;!!BhdT!wk7uBzVHYZmqOMxnneSdA2hPTFsqF2OQKyB861yDcdAvcIVt5G1A5nTeGJyf$>

---

From: Martin Duke <[email-masked]>
Date: Wed, 1 Dec 2021 09:29:16 -0800

OK, errata verified

On Wed, Dec 1, 2021 at 8:32 AM MORTON JR., AL <[email-masked]> wrote:

> So, I miss-counted the zeroes?  I guess my vision is going for stuff like
> this, because I tried to count again yesterday and the original looked ok...
>
>
>
> *From:* Martin Duke <[email-masked]>
> *Sent:* Wednesday, December 1, 2021 11:25 AM
> *To:* MORTON JR., AL <[email-masked]>
> *Cc:* RFC Errata System <[email-masked]>; [email-masked];
> D'SOUZA, KEVIN L <[email-masked]>; [email-masked]
> *Subject:* Re: [ippm] [Editorial Errata Reported] RFC8912 (6758)
>
>
>
> <https://urldefense.com/v3/__https:/www.rfc->
> >
> <https://urldefense.com/v3/__http:/editor.org/errata/eid6758__;!!BhdT!0sOKD4K1QvzSFuTr19kOCaZcs09P3P_d2_LwuoM9aOr__;!!BhdT!wk7uBzVHYZmqOMxnneSdA2hPTFsqF2OQKyB861yDcdAvcIVt5G1A5vak8Qk_$>
> > 6gv_f8a6dgdeGztmA$
> >
> <https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/ippm__;!!BhdT!wk7uBzVHYZmqOMxnneSdA2hPTFsqF2OQKyB861yDcdAvcIVt5G1A5nTeGJyf$>
>
>